#
# spec file for package asclock
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           asclock
Version:        2.0.12
Release:        313.1
Summary:        AfterStep digital clock
License:        GPL-2.0-or-later
Group:          Amusements/Toys/Clocks
URL:            http://www.tigr.net/afterstep/
Source:         asclock-%{version}.tar.bz2
Patch0:         gcc4.diff
Patch1:         asclock-C99.diff
BuildRequires:  fdupes
BuildRequires:  imake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
Provides:       astools:%{_prefix}/X11R6/bin/asclock

%description
A swallowable applet shows clock and calendar. Supports themes for
different looks.

%prep
%autosetup -p0

%build
rm -f languages/english/*~
# not a autotools configure
%configure <<EOF
shaped
1
EOF
%make_build CC="cc %{optflags} -fcommon"

%install
%make_install
mkdir -p %{buildroot}%{_datadir}/asclock
cp -ar themes %{buildroot}%{_datadir}/asclock/
cp -ar languages %{buildroot}%{_datadir}/asclock/

%fdupes %{buildroot}

%files
%{_bindir}/asclock
%{_datadir}/asclock

%changelog
* Fri Aug 16 2024 Martin Jambor <mjambor@suse.com>
- Add asclock-C99.diff which declares a function defined after use so
  that the cource code does not violate C99 and builds with GCC 14.
* Fri Jun 12 2020 Martin Pluskal <mpluskal@suse.com>
- Fix building with gcc10
- Modernise spec file with spec-cleaner
- Honor optflags
- Reduce duplicities using fdupes
* Tue Nov  4 2014 crrodriguez@opensuse.org
- Due to broken prjconf I missed adding imake as buildRequire
  in the previous change.
* Sun Nov  2 2014 crrodriguez@opensuse.org
- Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri Aug  4 2006 schwab@suse.de
- New package.
